<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>

  <body>
    <h2>Syötä sana</h2>
    <input type="text" id="tekstikentta" value="saippuakauppias" />
    <button onclick="onkoPalindromi()">Onko kyseessä palindromi?</button>
    <p id="teksti"></p>

    <script>
      function onkoPalindromi() {
        var sana = document.getElementById("tekstikentta").value;
        let totuusarvo = true;

        const kirjaimet = Array.from(sana);
        // Käydään läpi lista kirjain kerrallaan sanan "puoliväliin" asti, missä pää ja häntä kohtaavat
        for (let i = 0; i < kirjaimet.length / 2 + 1; i++) {
          const kirjainAlusta = kirjaimet[i];
          const kirjainLopusta = kirjaimet[kirjaimet.length - 1 - i];
          // Jos kirjainparit ovat erit, niin lopetetaan läpikäynti ja totuusarvo on false
          if (kirjainAlusta !== kirjainLopusta) {
            totuusarvo = false;
            break;
          }
        }
        document.getElementById("teksti").innerHTML =
          "Kyseessä on palindromi: " + totuusarvo;
        return totuusarvo;
      }
    </script>
  </body>
</html>
